> For the complete documentation index, see [llms.txt](https://docs.mithril.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mithril.ai/compute-api/compute-api-reference/image-versions.md).

# Image Versions

## Get Image Versions

> Get all available image versions;\
> the stable image version is the default unless otherwise specified.

```json
{"openapi":"3.1.0","info":{"title":"Mithril","version":"1.0.0"},"servers":[{"url":"https://api.mithril.ai"}],"security":[{"MithrilAPIKey":[]}],"components":{"securitySchemes":{"MithrilAPIKey":{"type":"http","scheme":"bearer","bearerFormat":"fkey_<key>"}},"schemas":{"ImageVersionModel":{"properties":{"image_version_fid":{"type":"string","title":"Image Version Fid"},"image_version_name":{"type":"string","title":"Image Version Name"},"os":{"type":"string","title":"Os"},"kernel":{"type":"string","title":"Kernel"},"stable":{"type":"boolean","title":"Stable"},"supported_regions":{"items":{"type":"string"},"type":"array","title":"Supported Regions"},"deactivated_at":{"type":"string","format":"datetime","nullable":true},"nvidia_driver":{"type":"string","nullable":true},"cuda":{"type":"string","nullable":true},"cuda_toolkit":{"type":"string","nullable":true},"nvidia_container_toolkit":{"type":"string","nullable":true},"packages":{"type":"string","nullable":true}},"type":"object","required":["image_version_fid","image_version_name","os","kernel","stable","supported_regions"],"title":"ImageVersionModel"}}},"paths":{"/v2/image-versions":{"get":{"tags":["image versions"],"summary":"Get Image Versions","description":"Get all available image versions;\nthe stable image version is the default unless otherwise specified.","operationId":"get_image_versions_v2_image_versions_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ImageVersionModel"},"type":"array","title":"Response Get Image Versions V2 Image Versions Get"}}}}}}}}}
```

## Get Mcc Image Versions

> Get MCC (CPU) image versions available for a region.\
> These are CPU-only images used for Kubernetes cluster control planes.

```json
{"openapi":"3.1.0","info":{"title":"Mithril","version":"1.0.0"},"servers":[{"url":"https://api.mithril.ai"}],"security":[{"MithrilAPIKey":[]}],"components":{"securitySchemes":{"MithrilAPIKey":{"type":"http","scheme":"bearer","bearerFormat":"fkey_<key>"}},"schemas":{"ImageVersionModel":{"properties":{"image_version_fid":{"type":"string","title":"Image Version Fid"},"image_version_name":{"type":"string","title":"Image Version Name"},"os":{"type":"string","title":"Os"},"kernel":{"type":"string","title":"Kernel"},"stable":{"type":"boolean","title":"Stable"},"supported_regions":{"items":{"type":"string"},"type":"array","title":"Supported Regions"},"deactivated_at":{"type":"string","format":"datetime","nullable":true},"nvidia_driver":{"type":"string","nullable":true},"cuda":{"type":"string","nullable":true},"cuda_toolkit":{"type":"string","nullable":true},"nvidia_container_toolkit":{"type":"string","nullable":true},"packages":{"type":"string","nullable":true}},"type":"object","required":["image_version_fid","image_version_name","os","kernel","stable","supported_regions"],"title":"ImageVersionModel"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"oneOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v2/mcc-image-versions":{"get":{"tags":["image versions"],"summary":"Get Mcc Image Versions","description":"Get MCC (CPU) image versions available for a region.\nThese are CPU-only images used for Kubernetes cluster control planes.","operationId":"get_mcc_image_versions_v2_mcc_image_versions_get","parameters":[{"name":"region","in":"query","required":true,"schema":{"type":"string","title":"Region"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImageVersionModel"},"title":"Response Get Mcc Image Versions V2 Mcc Image Versions Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mithril.ai/compute-api/compute-api-reference/image-versions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
